/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {

dojo.provide("com.ibm.rational.report.web.cq.app.internal.Footer");

dojo.require("com.ibm.rational.report.web.core.app.internal.Footer");
dojo.requireLocalization("com.ibm.rational.report.web.cq.app.internal", "Messages");

var InternalMessages	= dojo.i18n.getLocalization("com.ibm.rational.report.web.cq.app.internal", "Messages");

/**
 * Displays the footer.
 */
dojo.declare(
	"com.ibm.rational.report.web.cq.app.internal.Footer",
	com.ibm.rational.report.web.core.app.internal.Footer, {
	
	postCreate: function() {
		com.ibm.rational.report.web.cq.app.internal.Footer.superclass.postCreate.apply(this);
	},
	
	getContactLink: function() {
		return InternalMessages.CONTACT_LINK;
	},
	
	getTermsOfUseLink: function() {	
		return InternalMessages.TERMS_OF_USE_LINK;
	}
	
});

})();
